*This software is not verified scientifically and should be used for entertainment purposes only.
LicenseFree
Operating System iOS
System RequirementsRequires iOS 5.0 or later. Compatible with iPhone, iPad, and iPod touch.